from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.container import XNamed

@runtime_checkable
class XNamedRange(XNamed, Protocol):
    def getContent(self) -> str: ...
    def setContent(self, aContent: str) -> None: ...
    def getReferencePosition(self) -> CellAddress: ...
    def setReferencePosition(self, aReferencePosition: CellAddress) -> None: ...
    def getType(self) -> int: ...
    def setType(self, nType: int) -> None: ...
